<!-- IGAC proyecto SNC -->

<!-- 
@author david.cifuentes
@version 1.0
@description Tabla que relaciona las unidades de construcción de un modelo de construcción. 	 
-->

<p:fieldset xmlns="http://www.w3.org/1999/xhtml"
            xmlns:ui="http://java.sun.com/jsf/facelets"
            xmlns:f="http://java.sun.com/jsf/core"
            xmlns:h="http://java.sun.com/jsf/html"
            xmlns:p="http://primefaces.org/ui">

    <h:form id="tablaUnidadesDelModeloDeConstruccionForm">

        <h:panelGrid columns="1" cellspacing="0" width="100%">
            <p:fieldset>
                <legend> <h:outputLabel
                        value="Unidades del modelo de construcción"
                        styleClass="legendTitle" /> </legend>

                <p:messages id="msgTablaModelos" showDetail="false"
                            globalOnly="false" />

                <p:spacer height="2" />
                <h:panelGrid columns="3" cellspacing="5" cellpadding="5">
                    <h:outputLabel value="Tipo de modelo:" id="tipoDeModelo"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    <h:inputText id="tipoModelo" style="width:300px;" maxlength="45"
                                 label="Tipo de modelo" value="#{managedBeanParam.tipoDeModelo}" />
                </h:panelGrid>
                <p:spacer height="10" />

                <p:dataTable var="unidadDelModeloConstruccion"
                             value="#{managedBeanParam.listUnidadesDelModeloDeConstruccion}"
                             id="tablaUnidadesDelModeloDeConstruccion"
                             selection="#{managedBeanParam.unidadDelModeloDeConstruccionSeleccionada}"
                             paginator="true" rows="5"
                             rowKey="#{unidadDelModeloConstruccion.id}"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                             emptyMessage="No existen unidades de construcción para este modelo"
                             selectionMode="single">

                    <p:column headerText="Acciones">
                        <p:commandButton
                            oncomplete="detalleUnidadDelModeloDeConstruccionWV.show()"
                            action="#{managedBeanParam.cargarUnidadDelModelo}"
                            update=":detalleUnidadDelModeloDeConstruccionForm"
                            id="modificarUnidadDelModeloDeConstruccionBtn"
                            icon="ui-icon ui-icon-pencil" title="Editar">
                            <f:setPropertyActionListener
                                value="#{unidadDelModeloConstruccion}"
                                target="#{managedBeanParam.unidadDelModeloDeConstruccionSeleccionada}" />
                            <f:setPropertyActionListener value="true"
                                                         target="#{managedBeanParam.unidadDelModeloEditModeBool}" />							
                        </p:commandButton>

                        <p:commandButton id="eliminarUnidadDelModeloDeConstruccionBtn"
                                         process="@this" update="tablaUnidadesDelModeloDeConstruccion"
                                         oncomplete="handleCompleteSIC(xhr, status,args, confirmEliminarUnidadDelModeloUCWV, true);"
                                         icon="ui-icon-trash" title="Eliminar">
                            <f:setPropertyActionListener
                                value="#{unidadDelModeloConstruccion}"
                                target="#{managedBeanParam.unidadDelModeloDeConstruccionSeleccionada}" />
                        </p:commandButton>

                        <p:graphicImage value="/imagesColorCircles/datoModificado.png"
                                        height="13" width="13"
                                        rendered="#{unidadDelModeloConstruccion.cancelaInscribe=='C'}"
                                        title="Cancelado #{unidadDelModeloConstruccion.id}" />
                        <p:graphicImage value="/imagesColorCircles/datoFinal.png"
                                        height="13" width="13"
                                        rendered="#{unidadDelModeloConstruccion.cancelaInscribe=='I'}"
                                        title="Inscrito #{unidadDelModeloConstruccion.id}" />
                        <p:graphicImage value="/imagesColorCircles/datoInicial.png"
                                        height="13" width="13"
                                        rendered="#{unidadDelModeloConstruccion.cancelaInscribe=='M'}"
                                        title="Asociado/Modificado #{unidadDelModeloConstruccion.id}" />

                    </p:column>

                    <p:column headerText="Uso unidad">
                        <h:outputText
                            value="#{unidadDelModeloConstruccion.usoConstruccion.nombre}"
                            styleClass="outputTextStyle" />
                    </p:column>

                    <p:column headerText="Detalle">
                        <p:commandButton title="Detalle de la unidad"
                                         icon="ui-icon-search" process="@this"
                                         action="#{managedBeanParam.cargarUnidadDelModelo}"
                                         update=":detalleLecturaUnidadDelModeloDeConstruccionForm"
                                         oncomplete="detalleLecturaUnidadDelModeloDeConstruccionWV.show()">
                            <f:setPropertyActionListener
                                value="#{unidadDelModeloConstruccion}"
                                target="#{managedBeanParam.unidadDelModeloDeConstruccionSeleccionada}" />
                            <f:setPropertyActionListener value="true"
                                                         target="#{managedBeanParam.unidadDelModeloEditModeBool}" />
                        </p:commandButton>
                    </p:column>

                </p:dataTable>

                <p:spacer height="25" width="5" />
                <p:commandButton value="Guardar modelo"
                                 action="#{proyectarConservacion.guardarModeloDeConstruccion}"
                                 title="Guardar los cambios al modelo de construcción"
                                 icon="ui-icon-disk" process="@form"
                                 update=":tablaUnidadesDelModeloDeConstruccionForm, 
                                 :tabView1:gestionarFichaMatrizForm:tablaModelosUnidadDeConstruccion, 
                                 :tabView1:gestionarFichaMatrizForm:msgModelos,msgTablaModelos,
                                 :tabView1:gestionarFichaMatrizForm:modelosDeUnidadesDeConstruccionPanelGrid,
                                 :asociarModeloForm" />

                <p:spacer height="10" />
                <p:commandButton value="Adicionar unidad de construcción"
                                 oncomplete="detalleUnidadDelModeloDeConstruccionWV.show()"
                                 disabled="#{managedBeanParam.modeloUnidadDeConstruccionSeleccionado.id eq null}"
                                 update=":detalleUnidadDelModeloDeConstruccionForm" process="@this"
                                 id="adicionarUnidadAlModeloDeConstruccionUCBtn" icon="ui-icon-plus"
                                 action="#{managedBeanParam.setupAdicionUnidadAlModelo}"
                                 title="Adicionar unidad al modelo de contrucción">
                    <f:setPropertyActionListener value="false"
                                                 target="#{managedBeanParam.unidadDelModeloEditModeBool}" />
                    <f:setPropertyActionListener value="false"
                                                 target="#{managedBeanParam.datosConstruccionSoloLectura}" />
                </p:commandButton>
                <p:spacer height="10" />
                <p:commandButton value="Cerrar" title="Cierra esta ventana"
                                 oncomplete="tablaUnidadesDelModeloDeConstruccionWV.hide()"
                                 icon="ui-icon-close" />

            </p:fieldset>
        </h:panelGrid>
    </h:form>
</p:fieldset>